STENCILWRITEMASK(3CgFX)

NAME
StencilWriteMask - 3D API stencil write mask

USAGE
StencilWriteMask = int(mask)

VALID ENUMERANTS
mask: integer value

DESCRIPTION
Specify the stencil plane write mask. See the OpenGL glStencilMask manual page for details. See the D3DRS_STENCILWRITEMASK render state description for DirectX 9.

The standard reset callback sets the StencilWriteMask state to int(~0).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearStencil, StencilEnable, StencilFail, StencilFunc, StencilFuncSeparate, StencilMask, StencilMaskSeparate, StencilOp, StencilOpSeparate, StencilPass, StencilRef, StencilTestEnable, StencilTestTwoSideEnable, StencilZFail, TwoSidedStencilMode